commit:     314c14df7cb1dae1a6381cd96dac42e2323b7f9a
Author:     Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 17 23:47:59 2016 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Mon Oct 17 23:49:12 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=314c14df

dev-python/APScheduler: version bump to 3.2.0

Package-Manager: portage-2.3.2

 dev-python/APScheduler/APScheduler-3.2.0.ebuild | 38 +++++++++++++++++++++++++
 dev-python/APScheduler/Manifest                 |  1 +
 2 files changed, 39 insertions(+)

diff --git a/dev-python/APScheduler/APScheduler-3.2.0.ebuild 
b/dev-python/APScheduler/APScheduler-3.2.0.ebuild
new file mode 100644
index 00000000..48589e2
--- /dev/null
+++ b/dev-python/APScheduler/APScheduler-3.2.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python{2_7,3_3,3_4,3_5} )
+
+inherit distutils-r1
+
+DESCRIPTION="In-process task scheduler with Cron-like capabilities"
+HOMEPAGE="https://bitbucket.org/agronholm/apscheduler";
+SRC_URI="mirror://pypi/A/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="dev-python/pytz[${PYTHON_USEDEP}]
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       >=dev-python/six-1.4.0[${PYTHON_USEDEP}]
+       >=dev-python/tzlocal-1.2[${PYTHON_USEDEP}]
+       virtual/python-futures[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+       test? (
+               dev-python/pytest[${PYTHON_USEDEP}]
+               dev-python/pytest-capturelog[${PYTHON_USEDEP}]
+       )"
+
+python_prepare_all() {
+       sed -i -e /setuptools_scm/d setup.py || die
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       # 3 known failures due to caplog.set_level not existing
+       py.test || die "Testing failed with ${EPYTHON}"
+}

diff --git a/dev-python/APScheduler/Manifest b/dev-python/APScheduler/Manifest
index a92db7e..4b70e43 100644
--- a/dev-python/APScheduler/Manifest
+++ b/dev-python/APScheduler/Manifest
@@ -1 +1,2 @@
 DIST APScheduler-3.1.0.tar.gz 79124 SHA256 
96a7ca40dbfb16502b44740c31c935943532f5a13be114e75419ca86fa264486 SHA512 
8f8b1a997dffd8ebc090113f3edd6ba1c18514e2583e1bca52ed54b28c7965d146e082fa64de968f44b18b39aa5ead7e3114e3e049102aaab35c52245f37497c
 WHIRLPOOL 
d18137ad77485e4ae9439c344b7c53c03b9d3e474aa813891e48005c1e5784b7c85d358561dbc31e5be3cbc583ba56694f726ad4e2f80b3039c9b1ad231b4964
+DIST APScheduler-3.2.0.tar.gz 80946 SHA256 
5baa1195ba711868fae257612cf80372ff1124014ca896884bf132f75636f638 SHA512 
451e03e01a5b01126c8ab21acb6b053099271056372a5a66cf302a6aac02f5d4d9b033a0551d1029d82dee32b74db01518fc21c8bc718bbd38cf6417f68234e0
 WHIRLPOOL 
6effe49733a384b9e020f74ed7882972022a97c66584c56da87e769d34770705e9db5df2c51b8d90b5e45b5c90ee5a4b4483803526e2f90f03c60dd175f3bac5

Reply via email to